## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# The majority of the tests included require some type of network access, so they are
# disabled for now until upstream can improve them.
%bcond_with     tests

%global         srcname     azure-identity

Name:           python-%{srcname}
Version:        1.9.0
Release:        %autorelease
Summary:        Microsoft Azure Identity Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

Epoch:          1

BuildArch:      noarch


BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3-azure-sdk-tools
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(aiohttp)
BuildRequires:  python3dist(pytest-asyncio)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure Identity Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
Obsoletes:      python3-azure-sdk < 5.0.1
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}

# azure-identity requires msal-extensions~=0.3.0, but azure-cli needs 1.0.0.
# This conflict will be fixed in the next azure-identity release after 1.9.0.
sed -i 's/msal-extensions~=0.3.0/msal-extensions~=1.0.0/' setup.py


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%if %{with tests}
%check
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md


%changelog
* Wed Apr 27 2022 Major Hayden <major@mhtx.net> 1:1.9.0-1
- Update to 1.9.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1:1.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 02 2021 Major Hayden <major@mhtx.net> 1:1.6.1-1
- Update to 1.6.1

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> 1:1.5.0-3
- Move obsoletes into subpackage

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> 1:1.5.0-2
- Add epoch number for 1.5.0 downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> 1:1.5.0-1
- Downgrade to 1.5.0

* Fri Jun 18 2021 Major Hayden <major@mhtx.net> 1.6.0-1
- Initial import (#1971760)
